| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Concatenate four vectors
Vector Conversions » Concatenate vectors

## Concat 128-bit registers in 512-bit register
v128int4 | concat (v32int4 v0, v32int4 v1, v32int4 v2, v32int4 v3)
v128uint4 | concat (v32uint4 v0, v32uint4 v1, v32uint4 v2, v32uint4 v3)
v64int8 | concat (v16int8 v0, v16int8 v1, v16int8 v2, v16int8 v3)
v64uint8 | concat (v16uint8 v0, v16uint8 v1, v16uint8 v2, v16uint8 v3)
v16cint16 | concat (v4cint16 v0, v4cint16 v1, v4cint16 v2, v4cint16 v3)
v32int16 | concat (v8int16 v0, v8int16 v1, v8int16 v2, v8int16 v3)
v32uint16 | concat (v8uint16 v0, v8uint16 v1, v8uint16 v2, v8uint16 v3)
v8cint32 | concat (v2cint32 v0, v2cint32 v1, v2cint32 v2, v2cint32 v3)
v16int32 | concat (v4int32 v0, v4int32 v1, v4int32 v2, v4int32 v3)
v16uint32 | concat (v4uint32 v0, v4uint32 v1, v4uint32 v2, v4uint32 v3)
v32bfloat16 | concat (v8bfloat16 v0, v8bfloat16 v1, v8bfloat16 v2, v8bfloat16 v3)
v32float16 | concat (v8float16 v0, v8float16 v1, v8float16 v2, v8float16 v3)
v64bfloat8 | concat (v16bfloat8 v0, v16bfloat8 v1, v16bfloat8 v2, v16bfloat8 v3)
v64float8 | concat (v16float8 v0, v16float8 v1, v16float8 v2, v16float8 v3)
v16float | concat (v4float v0, v4float v1, v4float v2, v4float v3)
v16cbfloat16 | concat (v4cbfloat16 v0, v4cbfloat16 v1, v4cbfloat16 v2, v4cbfloat16 v3)
v8cfloat | concat (v2cfloat v0, v2cfloat v1, v2cfloat v2, v2cfloat v3)

## Detailed Description

## Function Documentation

## ◆ concat() [1/17]

v64bfloat8 concat | ( | v16bfloat8 | v0,
|  | v16bfloat8 | v1,
|  | v16bfloat8 | v2,
|  | v16bfloat8 | v3 )

## ◆ concat() [2/17]

v64float8 concat | ( | v16float8 | v0,
|  | v16float8 | v1,
|  | v16float8 | v2,
|  | v16float8 | v3 )

## ◆ concat() [3/17]

v64int8 concat | ( | v16int8 | v0,
|  | v16int8 | v1,
|  | v16int8 | v2,
|  | v16int8 | v3 )

## ◆ concat() [4/17]

v64uint8 concat | ( | v16uint8 | v0,
|  | v16uint8 | v1,
|  | v16uint8 | v2,
|  | v16uint8 | v3 )

## ◆ concat() [5/17]

v8cfloat concat | ( | v2cfloat | v0,
|  | v2cfloat | v1,
|  | v2cfloat | v2,
|  | v2cfloat | v3 )

## ◆ concat() [6/17]

v8cint32 concat | ( | v2cint32 | v0,
|  | v2cint32 | v1,
|  | v2cint32 | v2,
|  | v2cint32 | v3 )

## ◆ concat() [7/17]

v128int4 concat | ( | v32int4 | v0,
|  | v32int4 | v1,
|  | v32int4 | v2,
|  | v32int4 | v3 )

## ◆ concat() [8/17]

v128uint4 concat | ( | v32uint4 | v0,
|  | v32uint4 | v1,
|  | v32uint4 | v2,
|  | v32uint4 | v3 )

## ◆ concat() [9/17]

v16cbfloat16 concat | ( | v4cbfloat16 | v0,
|  | v4cbfloat16 | v1,
|  | v4cbfloat16 | v2,
|  | v4cbfloat16 | v3 )

## ◆ concat() [10/17]

v16cint16 concat | ( | v4cint16 | v0,
|  | v4cint16 | v1,
|  | v4cint16 | v2,
|  | v4cint16 | v3 )

## ◆ concat() [11/17]

v16float concat | ( | v4float | v0,
|  | v4float | v1,
|  | v4float | v2,
|  | v4float | v3 )

## ◆ concat() [12/17]

v16int32 concat | ( | v4int32 | v0,
|  | v4int32 | v1,
|  | v4int32 | v2,
|  | v4int32 | v3 )

## ◆ concat() [13/17]

v16uint32 concat | ( | v4uint32 | v0,
|  | v4uint32 | v1,
|  | v4uint32 | v2,
|  | v4uint32 | v3 )

## ◆ concat() [14/17]

v32bfloat16 concat | ( | v8bfloat16 | v0,
|  | v8bfloat16 | v1,
|  | v8bfloat16 | v2,
|  | v8bfloat16 | v3 )

## ◆ concat() [15/17]

v32float16 concat | ( | v8float16 | v0,
|  | v8float16 | v1,
|  | v8float16 | v2,
|  | v8float16 | v3 )

## ◆ concat() [16/17]

v32int16 concat | ( | v8int16 | v0,
|  | v8int16 | v1,
|  | v8int16 | v2,
|  | v8int16 | v3 )

## ◆ concat() [17/17]

v32uint16 concat | ( | v8uint16 | v0,
|  | v8uint16 | v1,
|  | v8uint16 | v2,
|  | v8uint16 | v3 )